Subject: [mpls] Error in RFC 6425 - "Detecting Data-Plane Failures in Point-to-Multipoint MPLS - Extensions to LSP Ping"

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Wed, 2 May 2012 10:35:43 -0500

Dear authors of RFC 6425,
I believe the length of the "RSVP P2MP IPv6 Session Sub-TLV" in Section 3.1.1 should be 44 bytes and not 56 bytes to match the format shown in Section 3.1.1.2. 

It may be the 56 byte figure was copied over from RFC 4379 which uses a 16-byte "IPv6 tunnel end point address" as the top field in the sub-TLV in the case of an IPv6 P2P RSVP session. With an IPv6 P2MP RSVP session that field is replaced with the P2MP-ID which is a 4-byte field only.

Mustapha.

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 3 May 2012 11:45:34 +0100

Hi Mustapha,

You're right. The I-D (up until quite late) had the IPv6 P2MP ID as 128 bit.
That got fixed but the byte count was missed.

Would you care to raise the Erratum?

A

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Aissaoui, Mustapha (Mustapha)
> Sent: 02 May 2012 16:36
> To: [email-masked]
> Subject: [mpls] Error in RFC 6425 - "Detecting Data-Plane Failures in
Point-to-
> Multipoint MPLS - Extensions to LSP Ping"
> 
> I believe the length of the "RSVP P2MP IPv6 Session Sub-TLV" in Section 3.1.1
> should be 44 bytes and not 56 bytes to match the format shown in Section
> 3.1.1.2.
> 
> It may be the 56 byte figure was copied over from RFC 4379 which uses a
16-byte
> "IPv6 tunnel end point address" as the top field in the sub-TLV in the case of
an
> IPv6 P2P RSVP session. With an IPv6 P2MP RSVP session that field is replaced
with
> the P2MP-ID which is a 4-byte field only.
> 
> Mustapha.
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls